#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    string t;
    cin >> t;
    int l = t.length(), i;
    for(i = 0; i < l / 2; i++){
        if(t[i] != t[l - 1 - i]){
            break;
        }
    }
    if(i == l / 2){
        cout << 1;
    }
    else{
        cout << l - i * 2 - 1;
    }

    return 0;
}